#判断环境
def is_win32
  if GLib.charset =~ /UTF/ #判断字符集
    false
  else
    true
  end
end

#转换文件名字符集
def locale_fname(fname)
  if GLib.charset =~ /UTF/ #判断字符集
    fname
  else
    fname = GLib::Win32.locale_filename_from_utf8(fname)
  end
end

#获取临时目录
def tmp_path
  if is_win32
    ENV['TMP']
  else
    "/tmp"
  end
end

#回车符定义
def lnchar
  if GLib.charset =~ /UTF/ #判断字符集
    "\n"
  else
    "\r\n"
  end
end
LNCHAR = lnchar

